# Update Inference Endpoint Notifications

`PATCH /api/2.0/serving-endpoints/{name}/notifications`

Updates the email and webhook notification settings for an endpoint.

API scopes: model-serving

## Path parameters

- `name` (string, optional)
  The name of the serving endpoint whose notifications are being updated. This field is required.
  Example: `my-endpoint`
  Constraints: `[ 1 .. 63 ] characters`

## Request body

- `email_notifications` (object, optional)
  The email notification settings to update. Specify email addresses to notify when endpoint state changes occur.
  - `on_update_success` (array of string, optional)
    A list of email addresses to be notified when an endpoint successfully updates its configuration or state.
    Example: `user.name@databricks.com`
  - `on_update_failure` (array of string, optional)
    A list of email addresses to be notified when an endpoint fails to update its configuration or state.
    Example: `user.name@databricks.com`

## Returns

- `name` (string, optional)
- `email_notifications` (object, optional)
  - `on_update_success` (array of string, optional)
    A list of email addresses to be notified when an endpoint successfully updates its configuration or state.
    Example: `user.name@databricks.com`
  - `on_update_failure` (array of string, optional)
    A list of email addresses to be notified when an endpoint fails to update its configuration or state.
    Example: `user.name@databricks.com`

## Response

```json
{
  "name": "string",
  "email_notifications": {
    "on_update_success": "user.name@databricks.com",
    "on_update_failure": "user.name@databricks.com"
  }
}
```

